{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to update a teammate’s permissions.**\n\nTo turn a teammate into an admin, the request body should contain an `is_admin` set to `true`. Otherwise, set `is_admin` to `false` and pass in all the scopes that a teammate should have.\n\n**Only the parent user or other admin teammates can update another teammate’s permissions.**\n\n**Admin users can only update permissions.**","properties":{"path":{"type":"object","properties":{"username":{"type":"string","description":"The username of the teammate that you want to retrieve."}},"required":["username"],"additionalProperties":false},"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"scopes":{"type":"array","description":"Provide list of scopes that should be given to teammate. If specifying list of scopes, is_admin should be set to False.","items":{"type":"string"}},"is_admin":{"type":"boolean","description":"Set to True if this teammate should be promoted to an admin user. If True, scopes should be an empty array."}},"required":["scopes","is_admin"],"examples":[{"scopes":["user.profile.read","user.profile.edit"],"is_admin":false}]}},"required":["path"],"additionalProperties":false},"name":"Update teammate's permissions","id":"sendgrid.teammates.updateteammate","example":{"path":{"username":"example"}},"maxRequests":1,"summary":false}}